import { IgxHierarchicalGridComponent } from './hierarchical-grid.component';
import { IgxRowIslandComponent } from './row-island.component';
import { IPathSegment } from './hierarchical-grid-base.component';
import { IgxGridBaseComponent, GridBaseAPIService, IGridDataBindable } from '../grid';
export declare class IgxHierarchicalGridAPIService extends GridBaseAPIService<IgxGridBaseComponent & IGridDataBindable> {
    protected layouts: Map<string, IgxRowIslandComponent>;
    protected layoutChildGrids: Map<string, Map<any, IgxHierarchicalGridComponent>>;
    protected gridsPerLayout: Map<string, IgxHierarchicalGridComponent[]>;
    registerLayout(layout: IgxRowIslandComponent): void;
    getChildGrid(path: Array<IPathSegment>): any;
    getChildGrids(inDepth?: boolean): any[];
    getParentRowId(childGrid: IgxHierarchicalGridComponent): any;
    registerChildGrid(parentRowID: string | object, layoutKey: string, grid: IgxHierarchicalGridComponent): void;
    getLayout(id: string): IgxRowIslandComponent;
    getChildGridsForRowIsland(layoutKey: any): IgxHierarchicalGridComponent[];
    getChildGridByID(layoutKey: any, rowID: any): IgxHierarchicalGridComponent;
}
